<html><head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<script src="paths.js"></script><script src="eqns.js"></script><script>
      var design = "module2";
      var device = "XC9536XL";
      signals = new Array("Q0_SPECSIG","Q1_SPECSIG","Q2_SPECSIG","Y");
      sigNegs = new Array("OFF","OFF","OFF","OFF");
      sigTypes = new Array("D","D","D","");

      
        specSig["b_SPECSIG"]=new Array("(b)");
      
        specSig["Q2_SPECSIG"]=new Array("Q<2>");
      
        specSig["Q0_SPECSIG"]=new Array("Q<0>");
      
        specSig["Q1_SPECSIG"]=new Array("Q<1>");
      
            pterms["FB1_2_1"]=new Array("Q2_SPECSIG","/Q0_SPECSIG","/Q1_SPECSIG");
          
            pterms["FB1_16_1"]=new Array("X","Q2_SPECSIG","/Q0_SPECSIG","/Q1_SPECSIG");
          
            pterms["FB1_16_2"]=new Array("X","/Q2_SPECSIG","Q0_SPECSIG","Q1_SPECSIG");
          
            pterms["FB1_17_1"]=new Array("X","/Q1_SPECSIG");
          
            pterms["FB1_17_2"]=new Array("X","/Q2_SPECSIG","/Q0_SPECSIG");
          
            pterms["FB1_18_1"]=new Array("/X","/Q2_SPECSIG","Q0_SPECSIG");
          
            pterms["FB1_18_2"]=new Array("X","/Q2_SPECSIG","/Q0_SPECSIG","Q1_SPECSIG");
          
            pterms["FB1_18_3"]=new Array("/X","Q2_SPECSIG","/Q0_SPECSIG","/Q1_SPECSIG");
          
          d2["Y"]=new Array("FB1_2_1");
          
            d2imp["Y"]=new Array("1");
          
          d2["Q2_SPECSIG"]=new Array("FB1_16_1","FB1_16_2");
          
            d2imp["Q2_SPECSIG"]=new Array("1","1");
          
              gblclk["Q2_SPECSIG"]=new Array("CLK");
            
              gblrst["Q2_SPECSIG"]=new Array("RST");
            prld["Q2_SPECSIG"]="GND";
          d2["Q0_SPECSIG"]=new Array("FB1_17_1","FB1_17_2");
          
            d2imp["Q0_SPECSIG"]=new Array("1","1");
          
              gblclk["Q0_SPECSIG"]=new Array("CLK");
            
              gblrst["Q0_SPECSIG"]=new Array("RST");
            prld["Q0_SPECSIG"]="GND";
          d2["Q1_SPECSIG"]=new Array("FB1_18_1","FB1_18_2","FB1_18_3");
          
            d2imp["Q1_SPECSIG"]=new Array("1","1","1");
          
              gblclk["Q1_SPECSIG"]=new Array("CLK");
            
              gblrst["Q1_SPECSIG"]=new Array("RST");
            prld["Q1_SPECSIG"]="GND";

      uimSignals = new Array();

      uimSigNegs = new Array();

      uimPterms = new Array();
      

      
        function getEqnList() {
          var str = "<html><head><link type='text/css' href='style.css' rel='stylesheet'></head><body class='pgBgnd'>";
          str += "<center><h3>Equations</h3></center>";
          str += "<table width='90%' align='center' border='1' cellpadding='0' cellspacing='0'>";
          for (s=0; s<uimSignals.length; s++) {
            str += "<tr><td>";
            str += retUimEqn(uimSignals[s]);
            str += "</td></tr>";
          }
          for (s=0; s<signals.length; s++) {
            str += "<tr><td>";
            str += retEqn(signals[s]);
            str += "</td></tr>";
          }

          var legend = retLegend();
		      if (legend != "") {
		        str += "<tr><td>" + legend + "</td></tr>";
		      }

          str += "</table>";
          str += "<form><span class='pgRef'>";

          if (!parent.leftnav.IsNS()) {
            str += "<table width='90%' align='center'>";
            str += "<tr><td align='left'><input type='button' value='back to top' ";
            str += "onclick='javascript:parent.leftnav.showEqnAll()' ";
            str += "onmouseover=\"window.status='goto top of page'; return true;\" ";
            str += "onmouseout=\"window.status=''\">";
            str += "</td>";
            str += "<td align='right'>";
            str += "<input type='button' value='print page' ";
            str += "onclick='javascript:window.print()' ";
            str += "onmouseover=\"window.status='print page'; return true;\" ";
            str += "onmouseout=\"window.status=''\">";
            str += "</td>";
            str += "</tr></table>";
          }
          else {
            str += "<table width='90%' align='center'>";
            str += "<tr><td align='left'><a href='javascript:parent.leftnav.showEqnAll()'>back to top</a>";
            str += "</td>";
            str += "<td align='right'>";
            str += "<a href='javascript:window.print()'>";
            str += "print page</a>";
            str += "</td>";
            str += "</tr></table>";
          }

          str += "</span></form>";
          str += "</body></html>";
          return str;
        }
      
    </script>
</head></html>
